<?php
/*
Plugin Name: Fade to Focus
Plugin URI: http://gamified.co.uk
Description: Fade out the background and distractions so readers can concentrate on your content.
Version: 1.03
Author: Andrzej Marczewski
Author URI: http://gamified.co.uk
License: GPL2
*/
?>
<?
// Add settings link on plugin page

define('FADEFOCUS_VERSION', '1.03');
include plugin_dir_path(__FILE__).'options.php';

function add_fadefocus_options_page(){
    add_options_page('Fade to Focus Settings', 'Fade to Focus', 'manage_options', __FILE__, 'fadefocus_options_page');  
}

if (is_admin()){
  add_action('admin_menu', 'add_fadefocus_options_page');
  add_action('admin_init', 'fadefocus_settings');
}

function fadefocus_settings_link($links) { 
  $settings_link = '<a href="options-general.php?page=fadefocus/fadefocus.php">Settings</a>'; 
  array_unshift($links, $settings_link); 
  return $links; 
}

function fadefocus_init(){
	if (is_single()||is_page()) {
		echo '<script type=\'text/javascript\' src=\''.plugins_url( '/js/fadefocus.js?ver=0.89', __FILE__ ).'\'></script>';
		echo '<script type=\'text/javascript\'>
		jQuery(document).ready(function(){
			if(jQuery(window).width()>719){
				fadefocus("'.get_option('fadefocus-class','.sidebar').'",'.get_option('fadefocus-time','15').',"'.get_option('fadefocus-css','\'\'').'","'.plugins_url( '', __FILE__ ).'");
			}
		})
		</script>';
	}
}


$plugin = plugin_basename(__FILE__);

add_filter("plugin_action_links_$plugin", 'fadefocus_settings_link' );
add_action('wp_footer','fadefocus_init');


/*options*/
