<?php
/**
 * @package fadefocus
 * @version 
 */

function fadefocus_settings(){
	register_setting( 'fadefocus_options_group', 'fadefocus-class');
	register_setting( 'fadefocus_options_group', 'fadefocus-time');
	register_setting( 'fadefocus_options_group', 'fadefocus-css');
}

function fadefocus_options_page(){ 
?>
<div class="wrap">
<h2>Fade to Focus Options</h2>
<form method="post" action="options.php"> 
<?php 
	settings_fields( 'fadefocus_options_group' );
	do_settings_fields( 'fadefocus_options_group', 'fadefocus_settings' );
?>
<table class="form-table">
    <tr valign="top">
        <th scope="row">What element(s) do you want to focus? (.content can be comma separated)</th>
    </tr>
	<tr>
		<td><input type="text" name="fadefocus-class" value="<?php echo get_option('fadefocus-class', '.content'); ?>" /></td>
	</tr>
    <tr valign="top">
        <th scope="row">Extra CSS for those elements.</th>
    </tr>
	<tr>
		<td><input type="text" name="fadefocus-css" value="<?php echo get_option('fadefocus-css', 'padding:5px;'); ?>" /></td>
	</tr>
    <tr valign="top">
        <th scope="row">How many seconds before fade?</th>
    </tr>
	<tr>
		<td><input type="text" name="fadefocus-time" value="<?php echo get_option('fadefocus-time', '15'); ?>" /></td>
	</tr>

</table>
<p class="submit">
<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>
</form>
</div>
<?}?>